---
Name: "centos-7.7.1908-install"
Description: "CentOS-7.7.1908 install bootenv"
Documentation: |
  This BootEnv installs the CentOS 7 Minimal operating system.  Both x86_64
  and aarch64 architectures are supported.
Meta:
  type: "os"
  feature-flags: "change-stage-v2"
  icon: "linux"
  color: "blue"
  title: "Digital Rebar Community Content"
  group-by: CentOS
Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
OS:
  Family: "redhat"
  Version: "7"
  Name: "centos-7.7.1908"
  SupportedArchitectures:
    x86_64:
      IsoFile: "CentOS-7-x86_64-Minimal-1908.iso"
      IsoUrl: "https://rackn-repo.s3.amazonaws.com/isos/centos/7/CentOS-7-x86_64-Minimal-1908.iso"
      Sha256: "9a2c47d97b9975452f7d582264e9fc16d108ed8252ac6816239a3b58cef5c53d"
      Kernel: "images/pxeboot/vmlinuz"
      Initrds:
        - "images/pxeboot/initrd.img"
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    aarch64:
      Loader: "grubarm64.efi"
      IsoFile: "CentOS-7-aarch64-Minimal-1908.iso"
      Sha256: "079123767bf3f59f1cf4daf5f9c030c5f251267d6ea5abd49d63a44997d7db19"
      IsoUrl: "https://rackn-repo.s3.amazonaws.com/isos/centos/7/CentOS-7-aarch64-Minimal-1908.iso"
      Kernel: "images/pxeboot/vmlinuz"
      Initrds:
        - "images/pxeboot/initrd.img"
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
RequiredParams:
OptionalParams:
  - "operating-system-disk"
  - "provisioner-default-password-hash"
  - "kernel-console"
  - "kernel-options"
  - "proxy-servers"
  - "select-kickseed"
  - "init-options"
  - "kickstart-base-packages"
  - "extra-packages"
Templates:
  - Name: "kexec"
    ID: "kexec.tmpl"
    Path: "{{.Machine.Path}}/kexec"
  - ID: "default-pxelinux.tmpl"
    Name: "pxelinux"
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
  - ID: "default-ipxe.tmpl"
    Name: "ipxe"
    Path: "{{.Machine.Address}}.ipxe"
  - ID: "default-pxelinux.tmpl"
    Name: "pxelinux-mac"
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
  - ID: "default-ipxe.tmpl"
    Name: "ipxe-mac"
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: "default-grub.tmpl"
    Name: "grub"
    Path: "grub/{{.Machine.Address}}.cfg"
  - ID: "default-grub.tmpl"
    Name: "grub-mac"
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - ID: "select-kickseed.tmpl"
    Name: "compute.ks"
    Path: "{{.Machine.Path}}/compute.ks"
